{
  "app": {
    "signingConfigs": [
      {
        "name": "release",
        "type": "HarmonyOS",
        "material": {
          "storeFile": "D:/android/签名/hmos/hmos.p12",
          "storePassword": "000000188D653F4B8748579F0084CAC913B6D6AB6FF60084FB0F318CC52AC425A874B607DD8261F9",
          "keyAlias": "__uni__1be0b2f",
          "keyPassword": "00000018779445CEA4B7EA75CB8F722F9DA76CBDBC5CE7C083CE8B5E1973141BF17E654C7237F5EF",
          "signAlg": "SHA256withECDSA",
          "profile": "D:/android/签名/hmos/素材魔方/cube_releaseRelease.p7b",
          "certpath": "D:/android/签名/hmos/素材魔方/cube_release.cer"
        }
      },
      {
        "name": "debug",
        "type": "HarmonyOS",
        "material": {
          "storeFile": "D:/android/签名/hmos/hmos.p12",
          "storePassword": "000000188D653F4B8748579F0084CAC913B6D6AB6FF60084FB0F318CC52AC425A874B607DD8261F9",
          "keyAlias": "__uni__1be0b2f",
          "keyPassword": "00000018779445CEA4B7EA75CB8F722F9DA76CBDBC5CE7C083CE8B5E1973141BF17E654C7237F5EF",
          "signAlg": "SHA256withECDSA",
          "profile": "D:/android/签名/hmos/素材魔方/cube_debugDebug.p7b",
          "certpath": "D:/android/签名/hmos/素材魔方/cube_debug.cer"
        }
      }
    ],
    "products": [
      {
        "name": "default",
        "signingConfig": "release",
        "targetSdkVersion": "5.1.0(18)",
        "compatibleSdkVersion": "5.0.4(16)",
        "runtimeOS": "HarmonyOS",
        "buildOption": {
          "strictMode": {
            "caseSensitiveCheck": true,
            "useNormalizedOHMUrl": true
          }
        }
      },
      {
        "name": "debug",
        "signingConfig": "debug",
        "targetSdkVersion": "5.1.0(18)",
        "compatibleSdkVersion": "5.0.4(16)",
        "runtimeOS": "HarmonyOS",
        "buildOption": {
          "strictMode": {
            "caseSensitiveCheck": true,
            "useNormalizedOHMUrl": true
          }
        }
      }
    ],
    "buildModeSet": [
      {
        "name": "debug",
      },
      {
        "name": "release",
        "buildOption": {
          "nativeLib": {
            "filter": {
              //根据正则表达式排除匹配到的.so文件，匹配到的so文件将不会被打包
              "excludes": [
                "**/x86_64/*.so",
                "**/armeabi-v7a/*.so"
                //排除所有x86_64架构的so文件
              ],
              //允许当.so重名冲突时，使用高优先级的.so文件覆盖低优先级的.so文件
              "enableOverride": true
            }
          }
        }
      }
    ]
  },
  "modules": [
    {
      "name": "entry",
      "srcPath": "./entry",
      "targets": [
        {
          "name": "default",
          "applyToProducts": [
            "default",
            "debug"
          ]
        }
      ]
    }
  ]
}